Naar hoofdinhoud
usercontracts

Update an existing user contract.

PUT
/usercontract/{userContractId}
X-API-Keystringheaderverplicht
userContractIdstringverplicht

The id of the user contract to perform the action on.

Body

application/json

UserContract object.

atv_hoursstring

The number of ATV (arbeidstijdverkorting) hours per year for this user contract, as a numeric string.

contract_numberstring

The contract number of this user contract.

created_atstring

The date and time this user contract was created.

deleted_atstring

The date and time this user contract was deleted, or null when it is not deleted.

employmentstringverplicht

The employment type of this user contract, either 'fulltime' (full-time), 'parttime' (part-time), 'freelance' (on-call worker) or 'external'.

employment_daysintegerverplicht

The number of contracted work days per week for this user contract, from 1 to 7.

employment_endstring

The employment end date of this user contract.

employment_hoursnumberverplicht

The number of contracted work hours per week for this user contract.

employment_hours_offnumber

The number of leave hours per year for this user contract.

employment_startstringverplicht

The employment start date of this user contract, from which overtime is calculated.

idinteger

The ID of this user contract.

non_statutory_hoursnumber

The number of non-statutory leave hours of this user contract, a field that is currently not used.

statutory_hoursnumber

The number of non-statutory (bovenwettelijke) leave hours per year that are included in employment_hours_off.

tvt_hoursstring

The number of TVT (tijd voor tijd, time off in lieu) hours for this user contract, as a numeric string.

updated_atstring

The date and time this user contract was last updated.

user_idintegerverplicht

The ID of the user associated with this user contract.

work_days_friday_activeinteger

Whether this user contract includes Friday as a work day. Returned as 1 (yes) or 0 (no).

work_days_monday_activeinteger

Whether this user contract includes Monday as a work day. Returned as 1 (yes) or 0 (no).

work_days_new_task_enableinteger

Whether the work times of this user contract are prefilled for new tasks and own hours, either 1 (yes) or 0 (no).

work_days_saturday_activeinteger

Whether this user contract includes Saturday as a work day. Returned as 1 (yes) or 0 (no).

work_days_sunday_activeinteger

Whether this user contract includes Sunday as a work day. Returned as 1 (yes) or 0 (no).

work_days_thursday_activeinteger

Whether this user contract includes Thursday as a work day. Returned as 1 (yes) or 0 (no).

work_days_tuesday_activeinteger

Whether this user contract includes Tuesday as a work day. Returned as 1 (yes) or 0 (no).

work_days_wednesday_activeinteger

Whether this user contract includes Wednesday as a work day. Returned as 1 (yes) or 0 (no).

work_time_friday_fromstring

The start time of the work period on Friday for this user contract; only the time of day is used.

work_time_friday_pauseinteger

The break time in minutes during the work period on Friday for this user contract.

work_time_friday_tostring

The end time of the work period on Friday for this user contract; only the time of day is used.

work_time_monday_fromstring

The start time of the work period on Monday for this user contract; only the time of day is used.

work_time_monday_pauseinteger

The break time in minutes during the work period on Monday for this user contract.

work_time_monday_tostring

The end time of the work period on Monday for this user contract; only the time of day is used.

work_time_saturday_fromstring

The start time of the work period on Saturday for this user contract; only the time of day is used.

work_time_saturday_pauseinteger

The break time in minutes during the work period on Saturday for this user contract.

work_time_saturday_tostring

The end time of the work period on Saturday for this user contract; only the time of day is used.

work_time_sunday_fromstring

The start time of the work period on Sunday for this user contract; only the time of day is used.

work_time_sunday_pauseinteger

The break time in minutes during the work period on Sunday for this user contract.

work_time_sunday_tostring

The end time of the work period on Sunday for this user contract; only the time of day is used.

work_time_thursday_fromstring

The start time of the work period on Thursday for this user contract; only the time of day is used.

work_time_thursday_pauseinteger

The break time in minutes during the work period on Thursday for this user contract.

work_time_thursday_tostring

The end time of the work period on Thursday for this user contract; only the time of day is used.

work_time_tuesday_fromstring

The start time of the work period on Tuesday for this user contract; only the time of day is used.

work_time_tuesday_pauseinteger

The break time in minutes during the work period on Tuesday for this user contract.

work_time_tuesday_tostring

The end time of the work period on Tuesday for this user contract; only the time of day is used.

work_time_wednesday_fromstring

The start time of the work period on Wednesday for this user contract; only the time of day is used.

work_time_wednesday_pauseinteger

The break time in minutes during the work period on Wednesday for this user contract.

work_time_wednesday_tostring

The end time of the work period on Wednesday for this user contract; only the time of day is used.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.